Get Session Detail
Returns detailed information for a specific sessionId.
Note: Even if the session exists, you will receive 404 if it belongs to a different appId.
GET/api/v2/sessions/{sessionId}
Headers
| Header | Value |
|---|---|
| STUDIO-API-KEY | {userKey} |
Examples
- cURL
- Node.js
- Python
curl https://ai-streamer.deepbrain.io/api/v2/sessions/${SESSION_ID} \
-H "Content-Type: application/json" \
-H "STUDIO-API-KEY: ${userKey}" \
-X GET
import axios from 'axios'
const sessionId = '${SESSION_ID}'
const userKey = '${userKey}'
axios.get(
`https://ai-streamer.deepbrain.io/api/v2/sessions/${sessionId}`,
{
headers: {
'STUDIO-API-KEY': userKey,
'Content-Type': 'application/json'
}
}
)
.then((res) => {
console.log(res.data)
})
.catch((error) => {
console.error(error)
})
import requests
session_id = '${SESSION_ID}'
user_key = '${userKey}'
url = f'https://ai-streamer.deepbrain.io/api/v2/sessions/{session_id}'
headers = {
'STUDIO-API-KEY': user_key,
'Content-Type': 'application/json'
}
response = requests.get(url, headers=headers)
print(response.json())
Success (code: 1000)
{
"code": 1000,
"data": {
"sessionId": "${SESSION_ID}",
"created_at": "2026-04-07T02:37:50.000Z",
"updated_at": "2026-04-07T05:38:26.000Z",
"duration": 123,
"source": "API",
"credits_consumed": 123.45,
"end_at": "2026-04-07T05:38:26.000Z",
"end_reason": "USER_CLOSED"
},
"message": null
}
Next step
Use the Stop Session API to end the session.